package digital.laboratory.platform.imr.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import digital.laboratory.platform.common.core.util.R;
import digital.laboratory.platform.imr.query.DrugHandingOverApplyQuery;
import digital.laboratory.platform.imr.service.DrugHandingOverApplyService;
import digital.laboratory.platform.imr.vo.DrugHandingOverApplyVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/handingOverApply")
@Api(value = "DrugHandingOverApplyController", tags = "毒品送样申请相关接口")
public class DrugHandingOverApplyController {

    @Resource
    private DrugHandingOverApplyService drugHandingOverApplyService;

    @ApiOperation("创建毒品送缴申请-委托单位操作")
    @PostMapping("/save")
    public R save() {
        DrugHandingOverApplyVO vo = drugHandingOverApplyService.create();
        if (vo == null) {
            return R.failed("保存数据失败！");
        }
        return R.ok(vo);
    }

    @ApiOperation("创建毒品送缴申请-委托单位操作")
    @PostMapping("/page")
    public R page(@RequestBody DrugHandingOverApplyQuery query) {
        IPage<DrugHandingOverApplyVO> voiPage = drugHandingOverApplyService.voPage(query);
        return R.ok(voiPage);
    }

    @ApiOperation("删除毒品送缴申请-委托单位操作")
    @PostMapping("/delete")
    public R delete(@RequestBody List<String> ids) {
        boolean success = drugHandingOverApplyService.delete(ids);
        return R.ok(success);
    }
}
