package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 毒品库中关联的案事件信息
 * @TableName b_drug_handing_over_apply
 */
@TableName(value ="b_drug_handing_over_apply")
@Data
public class DrugHandingOverApply extends BaseEntity {
    /**
     * 主键标识
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 送缴用户
     */
    private String handingOverUser;

    /**
     * 送缴单位
     */
    private String handingOverOrg;

    /**
     * 送缴日期
     */
    private LocalDateTime handingOverDate;

    /**
     * 申请日期
     */
    private LocalDateTime applyDate;

    /**
     * 送缴申请状态，0 待送缴 | 3 待接收 | 5 同意接收 | -5 拒绝接收
     */
    private Integer status;

    /**
     * 处理该申请，决定是否接收的用户id
     */
    private String recipient;

    /**
     * 同意/拒绝 原因
     */
    private String reason;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
