package digital.laboratory.platform.imr.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.imr.entity.DrugHandingOverApply;
import digital.laboratory.platform.imr.query.DrugHandingOverApplyQuery;
import digital.laboratory.platform.imr.vo.DrugHandingOverApplyVO;

import java.util.List;

/**
* @author ChenJiangBao
* @description 针对表【b_drug_handing_over_apply(毒品库中关联的案事件信息)】的数据库操作Service
* @createDate 2025-01-08 17:30:46
*/
public interface DrugHandingOverApplyService extends IService<DrugHandingOverApply> {

    /**
     * 创建毒品送缴申请-委托单位操作
     * @return
     */
    DrugHandingOverApplyVO create();


    /**
     * 根据毒品送缴申请查询条件分页查询毒品送缴申请VO对象
     *
     * @param query 查询条件
     * @return 分页后的毒品送缴申请视图对象列表
     */
    IPage<DrugHandingOverApplyVO> voPage(DrugHandingOverApplyQuery query);

    boolean delete(List<String> ids);
}
